<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org"
xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
	
	<head>
		<title>Achievents</title>
		
		 <!-- Required meta tags -->
	    <meta charset="utf-8">
	    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	
	    <!-- Bootstrap CSS -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
		<script type="text/javascript" src="/js/offerta-form.js"></script>
	</head>
	
	<body style="background-color: #E3E2E6">
		
		<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/offerte/full-list">Tutte
						le offerte</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>
	
		<div class="container">
			
			<br><br><br><br>
		
			<h2>Aggiorna Offerta</h2>
			<hr><br>
			
			<form id="form" action="#" onsubmit="return validateForm()" th:action="@{/offerte/save}"
							 th:object="${offerta}" method="POST">
							 
				<!-- Add hidden form field to handle update -->
				<input type="hidden" th:field="*{id}"/>
				
				<input type="text" th:field="*{titolo}"
						class="inputs lavoro form-control mb-4 col-4" placeholder="Titolo">
				<input type="text" th:field="*{descr}"
						class="inputs lavoro form-control mb-4 col-4" placeholder="Descrizione">
				<input type="text" th:field="*{settore}"
						class="inputs lavoro form-control mb-4 col-4" placeholder="Settore">
				<input id="durata" th:if="${isStage}" type="text" th:field="*{stageOffer.durata}"
						class="inputs form-control mb-4 col-4" placeholder="Durata"/>	
				<input id="datainizio" th:if="${isStage}" type="text" th:field="*{stageOffer.datainizio}"
						class="inputs form-control mb-4 col-4" placeholder="Data inizio - formato AAAA-MM-GG"/>	
						
				<input type="hidden" th:field="*{aziendaOffer.partitaiva}"/>	
				<input type="hidden" th:field="*{aziendaOffer.nome}"/>			
				<input type="hidden" th:field="*{aziendaOffer.utenzaAz.username}"/>	
				<input type="hidden" th:field="*{aziendaOffer.utenzaAz.password}"/>	
				<input type="hidden" th:field="*{aziendaOffer.utenzaAz.enabled}"/>	
				<input type="hidden" th:field="*{aziendaOffer.utenzaAz.tipo}"/>
				<input type="hidden" th:field="*{stageOffer.id}"/>	
				<input type="hidden" th:field="*{stageOffer.tipo}"/>		
				<button type="submit" class="btn btn-info col-2">Salva</button>	 
				<br><br>
			</form>
			<hr>
			<a th:href="@{/offerte/list(username=${#authentication.name})}">Indietro</a>
		</div>
	</body>
	
</html>